
import com.rational.test.tss.*;

import com.rational.test.tss.TSSConstants;

/* 
This test script demonstrates how to call all TSS Methods
and produces output or exceptions so you can see if 
TSS code is working properly.  DMorris 6/30/2000
*/

public class logging extends com.rational.test.tss.TestScript {

	public static void main(String[] args){
                logging t = new logging();
                t.testMain(args);
	}

	public void testMain(String [] args) {
	try
	{

        	TSSLog.event("event type", (short)0, "description", null);
        	System.out.println("TSSLog.event called");
        
        	// overloaded version
        	TSSLog.event("event type", (short)0);
        	System.out.println("TSSLog.event overloaded version called");
        
        	TSSLog.message("message", (short) 0, "description");
        	System.out.println("TSSLog.message called");
        
        	// overloaded version
        	TSSLog.message("message");
        	System.out.println("TSSLog.message overloaded version called");
        
        	TSSLog.testCaseResult("test case", (short)0, "description", null);
        	System.out.println("TSSLog.testCaseResult called");
        
        	// overloaded version
        	TSSLog.testCaseResult("test case", (short)0);
        	System.out.println("TSSLog.testCaseResult overloaded version called");
        
	}
	catch (Exception e)
	{
		e.printStackTrace();
	}
	}
}
